@import "../../bootstrap4-nyu-d3m.min.css";

body {
  font-size: .9rem;
}

/*
 * Icon sizes
 */

.feather {
  width:  15px;
  height: 17px;
  vertical-align: text-bottom;
}

.btn .feather {
  width: 18px;
  height: 20px;
}

.btn-sm .feather {
  width: 16px;
  height: 18px;
}

/*
 * Content
 */

[role="main"] {
  padding-top: 15px; /* Space for fixed navbar */
}

@media (min-width: 768px) {
  .main-content {
    padding-right: 40px;
    padding-left: 230px!important; /* 220 + 10 */
  }
}

/*
 * Sidebar
 */

 .sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: 100; /* Behind the navbar */
  padding: 48px 0 0; /* Height of navbar */
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
  min-width: 180px;
  background-color: #F8F9FA!important;
}

.sidebar-sticky {
  position: relative;
  top: 0;
  height: calc(100vh - 48px);
  padding-top: .5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
  .sidebar-sticky {
    position: -webkit-sticky;
    position: sticky;
  }
}

.sidebar .nav-link {
  font-weight: 500;
  color: #333;
}

.sidebar .nav-link .feather {
  margin-right: 4px;
  color: #999;
}

.sidebar .nav-link.active {
  color: #63508b;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
  color: inherit;
}

.sidebar-heading {
  font-size: .75rem;
  text-transform: uppercase;
}

/*
 * Navbars
 */

 .navbar-purple {
  background-color: #63508b!important;
}

.navbar-ta3-top .nav-link {
  color: #63508b!important;
  margin-left: 1rem!important;
}

.navbar-ta3-top .nav-link .feather {
  margin: 2px -1px;
}


.navbar-ta3-top .navbar-brand {
  cursor: default;
  color: #ffffff;
  margin: 0;
}

@media (max-width: 768px) {
  .navbar-ta3-top {
    display: none;
  }
}

@media (min-width: 768px) {
  .navbar-mobile {
    display: none;
  }
}

.navbar-left {
  width: 200px;
}

.navbar-right {
  float: right;
  left: auto;
  background-color: white!important;
  color: black;
}

.nav-link {
  padding: 3px;
}

.navbar-brand {
  padding-top: .75rem;
  padding-bottom: .75rem;
  font-size: 1rem;
}

/*
 * Side-bar workflow navigation
 */

.workflow-nav {
  margin-top: 7px;
}

.workflow-nav .nav-item {
  height: 50px;
}

.workflow-nav .nav-link {
  display: inline;
  padding: 10px 10px;
  vertical-align: top;
  line-height: 35px;
}

.workflow-nav .nav-link > span {
  vertical-align: top;
}

.workflow-nav .workflow-line {
  position: absolute;
  left: 26px;
  top: 47px;
  z-index: 5;
  width: 1px;
  border-left: 1px solid #999;
}

.workflow-circle {
  position: relative;
  z-index: 10;
  display: inline-block;
  border: 1px solid #999;
  /* background-color: #F8F9FA; */
  background-color: #ffffff;
  border-radius: 25px;
  color: #999;
  margin-right: 4px;
  width: 35px;
  height: 35px;
  padding: 8px;
}

.active .workflow-circle {
  color: #63508b;
  border-color: #63508b;
}

.workflow-circle .feather {
  width: 100%;
  height: 100%;
  vertical-align: top;
}

.workflow-circle .sidebar .nav-link .feather {
  padding: 2px 4px 4px 2px;
  color: #999;
}

.nav-link {
  cursor: pointer;
}